local function printr(...)
    print(...)
    return ...
end

local realload = load
load = function(target, ...)
    if type(target) == "function" then
        return realload(function() return printr(target()) end, ...)
    else
        return realload(printr(target), ...)
    end
end

local cratera = require "cratera"

assert(printr(cratera.load("")))()
